Author Topic: Qube core installer places API file in the incorrect directories  (Read 306 times)

jburk

  • Administrator
  • *****
  • Posts: 493
  • Versions affected: 7.0-0, 7.0-0a
  • Platforms affected: all
  • Severity: Newly-installed Windows and linux workers are unable to run python-based jobs.  Upgraded workers on Windows and linux, and all workers on OS X may exhibit more subtle behavior mimicking a version mismatch between API and jobtype versions

We've noted that the qube-core installer has been incorrectly packaged, and will place the files that should be in the QBDIR/api/python/qb/.. directory tree all into the api/python directory.  When upgrading from a previous version of Qube, the compiled .pyc files that were generated from the original.py modules are left behind, so the issue may not be immediately obvious as the .pyc can be used in place of the .py files. 

On Windows and linux, the files are only in the api/python directory, while on OS X the files are duplicated into api/python.

A subtle side effect of this bug is that if older .pyc files are loaded, it can appear that the API is an older version than the jobtypes despite all Qube components being of the same version, and some python-based jobtypes will fail with the following error:

AttributeError: 'CmdRangeBackEnd' object has no attribute 'outputPaths_required'


« Last Edit: June 21, 2018, 10:52:20 PM by jburk »